View Issue Details

IDProjectCategoryView StatusLast Update
0000614FreeCADPatchpublic2012-02-27 10:50
Reporterdjreichel Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.13 
Summary0000614: compiling on linux: fatal error: moc_SketchOrientationDialog.cpp: No such file or directory
Descriptionsvn Revision: 5438

moc_SketchOrientationDialog.cpp missing from BUILT_SOURCES target in
Makefile.am

libtool: compile: g++ -DHAVE_CONFIG_H -I. -I../../../.. -DSketcherAppExport= -DSketcherGuiExport= -g -D_DEBUG -D_REENTRANT -Wall -I../../../../src -I.
SketchOrientationDialog.cpp:122:43: fatal error: moc_SketchOrientationDialog.cpp: No such file or directory
compilation terminated.
make[7]: *** [libSketcherGui_la-SketchOrientationDialog.lo] Error 1
make[7]: Leaving directory `/home/freecad/rpmbuild/BUILD/freecad-0.12/src/Mod/Sketcher/Gui'
Additional Informationdiff -uNr free-cad/src/Mod/Sketcher/Gui/Makefile.am free-cad.local/src/Mod/Sketcher/Gui/Makefile.am
--- free-cad/src/Mod/Sketcher/Gui/Makefile.am 2012-02-19 21:21:49.926363070 -0500
+++ free-cad.local/src/Mod/Sketcher/Gui/Makefile.am 2012-02-26 23:36:22.341018621 -0500
@@ -3,6 +3,7 @@
 lib_LTLIBRARIES=libSketcherGui.la SketcherGui.la
 
 BUILT_SOURCES=\
+ moc_SketchOrientationDialog.cpp \
                moc_TaskSketcherConstrains.cpp \
                moc_TaskSketcherCreateCommands.cpp \
                moc_TaskSketcherGeneral.cpp \
TagsNo tags attached.
FreeCAD Information

Activities

wmayer

2012-02-27 10:50

administrator   ~0001672

Oops, already fixed in Git 6a77635bdbb0fea476ab268234bea8d0cbe9506c.

Issue History

Date Modified Username Field Change
2012-02-27 03:38 djreichel New Issue
2012-02-27 10:50 wmayer Note Added: 0001672
2012-02-27 10:50 wmayer Status new => closed
2012-02-27 10:50 wmayer Resolution open => fixed
2012-02-27 10:50 wmayer Fixed in Version => 0.13